Skip to main content
  • Place orders quickly and easily
  • View orders and track your shipping status
  • Enjoy members-only rewards and discounts
  • Create and access a list of your products
  • Manage your Dell EMC sites, products, and product-level contacts using Company Administration.

Dellin tallennustila: VMware ESXi -isäntien valmisteleminen liitettäväksi SCv20x0-, SCv30x0-, SC4020-, SC5020 SAS -järjestelmiin

Summary: Näiden ohjeiden avulla voit valmistella SAS-matriiseihin liitettävän WMware ESXi -laitteen

This article may have been automatically translated. If you have any feedback regarding its quality, please let us know using the form at the bottom of this page.

Article Content


Instructions
Tässä artikkelissa on seuraavat tiedot:   
  • VMware ESXi -isäntien valmisteleminen liitettäväksi SCv20x0-, SCv30x0-, SC4020-, SC5020 SAS -järjestelmiin
  • Ohjainten yhteensopivuus edustan SAS-yhteyden kanssa

  1. VMware ESXi -isäntien valmisteleminen liitettäväksi SCv20x0-, SCv30x0-, SC4020-, SC5020 SAS -järjestelmiin

Tarkista tuetulle ohjain- ja laiteohjelmistolle KB-artikkeli 000147092 DELL-tallennustilan yhteensopivuusmatriisi

  • ESXi 5.5 ja 6.0 tarvitsevat mpt3sas-ohjaimen, joka on ladattava VMware-sivustosta.
    • Dellin mukauttamat ESX 5.5- ja 6.0-versioiden ISO-tiedostot EIVÄT lataa automaattisesti oikeaa SAS HBA -ohjainta. Ohjain on päivitettävä.
    • Jos käytetään omaa sisäistä ohjainta, isännän väyläsovittimet (HBA:t) eivät näe taltioita ESX:ssä.
  • ESXi 6.5 tarvitsee lsi_msgpt3-ohjaimen, ja sisäistä ohjainta voi käyttää. Eri ISO-näköistiedostot käyttävät kuitenkin oletusarvoisesti eri ohjaimia.
    • Dell EMC suosittelee, että Dellin mukauttamia ISO-tiedostoja käytetään VMwaressa Dell EMC PowerEdge -palvelimissa. ISO-tiedoston voi etsiä Yritysratkaisut-osasta Ohjaimet ja ladattavat tiedostot -sivulta Dellin sivustossa.
    • Dellin mukauttama ESX 6.5 ISO lataa oikean SAS HBA -ohjaimen automaattisesti.
    • Jos käytät VMware ESX 6.5 ISO -vakiotiedostoa, ota käyttöön oikea sisäinen SAS HBA -ohjain.
Nämä ohjeet vastaavat järjestelmän mukana toimitetun SCv20x0-asennusjulisteen vaihetta 3 tai käyttöönotto-oppaan lukua 3.
 
Jos tallennuskeskusjärjestelmään halutaan liittää ESX-isäntä, joka sisältää SAS-väyläsovittimia (HBA), on käytettävä DSM Data Collectoria.  DSM-asiakkaan liittämistä suoraan järjestelmään ei tueta tällä hetkellä.

Määritä, mikä ohjain on käytössä:  
  1. Ota SSH käyttöön ESXi-isännässä:
    1. Kirjaudu ESXi-isäntään vSphere Clientilla
    2. Valitse Configuration (Kokoonpano) -välilehti) ja valitse Software (Ohjelmisto) -valikosta Security Profile (Suojausprofiili).
    3. Valitse Services (Palvelut) -alueelta Properties (Ominaisuudet).
    4. Valitse SSH ja valitse Options (Asetukset) -painike.
    5. Valitse Start (Käynnistä) ja vahvista valitsemalla OK.
  2. Yhdistä ESXi-isäntään SSH-ohjelmalla (kuten Putty).
  3. Määritä, mikä ohjain on käynnissä. Tämä voidaan tehdä kirjoittamalla seuraava komento: "esxcfg-scsidevs -a"                                                       
HOW11081_en_US__1ESX_SAS_esxcfg-scsidevs-a
 
  1. Jos käytät vakiomuotoista ESX 6.5 ISO -näköistiedostoa, voit poistaa käytöstä mpt3sas-ohjaimen ja ottaa käyttöön lsi_msgpt3-ohjaimen näillä komennoilla:  
  • esxcfg-module -d mpt3sas
  • esxcfg-module -e lsi_msgpt3
  1. ESX 5.5 ja 6.0: Jos ohjain on väärä, siirry vaiheeseen 5a. Jos luettelossa on oikea ohjain, siirry vaiheeseen 5b.
    1. Poista väärä ohjain käytöstä seuraavalla komennolla
  • esxcli system module set --enabled=false --module=lsi_msgpt3. Siirry vaiheeseen 6
HOW11081_en_US__2ESX_SAS_esxcli_system_module_set(1)
  1. Varmista, että ohjainversio vastaa artikkelissa 000147092 ollutta versiota DELL Storage Compatibility Matrix -taulukon mukaisestikirjoittamalla seuraava komento:
  • mpt3sas-ohjain: vmkload_mod -s mpt3sas |grep Version 
HOW11081_en_US__3ESX_SAS_vmkload_mod
  Ohjaimen päivittäminen:  
  1. Siirrä kaikki VM:t pois isännästä ja siirry huoltotilaan.
  2. Lataa oikea ajuriversio KB artikkelin 000147092 mukaisesti DELL Storage Compatibility Matrix -taulukon mukaisesti: : (kirjoitushetkellä ohjainversio on 04.00.00.00.1vmw (ESX 5.5 U2)). Ohjaimen voi ladata VMware-sivustosta.
  3. Pura lataamastasi ohjainpaketista .VIB-tiedosto.
  4. Lataa .VIB-tiedosto ESXi-isäntään.
    1. Valitse ESXi-isännän käyttöliittymästä Configuration (Kokoonpano) -välilehti.
    2. Valitse Configuration (Kokoonpano) -valikosta Storage (Tallennus) ja valitse tietosäilö, johon .VIB-tiedosto ladataan. 
      (Jos tietosäilöä ei ole käytettävissä, voit käyttää mitä tahansa FTP-ohjelmaa ja ladata /tmp-kansioon)
    3. Selaa tietosäilöä (napsauttamalla hiiren kakkospainikkeella) valitsemalla Browse Datastore (Selaa tietosäilöä).
    4. Lataa .VIB-tiedosto valitsemalla tiedoston latauskuvake.
  5. Asenna uusi ohjain (muuta polkua ja tiedostonimeä vastaavasti) kirjoittamalla seuraava komento: "esxcli ohjelmisto vib asentaa -v /vmfs/volumes/ESXi01-Local/scsi-mpt3sas-04.00.00.1vmw-1OEM.500.0.0.472560.x86_64.vib"
HOW11081_en_US__4ESX_SAS_esxcli_software_vib
 
  1. Käynnistä VMware ESXi -isäntä uudelleen.
  2. Väyläsovittimissa pitäisi nyt olla oikea ohjain, ja niiden pitäisi toimia oikein tallennuskeskuksen kanssa. Voit varmistaa asian toistamalla edellä olevan vaiheen 5b.
Myös väyläsovittimen laiteohjelmisto on päivitettävä iDRACin kautta.
  1. Ohjainten yhteensopivuus Edusta-SAS Connectivity2:n kanssa

Dell EMC Storage -yhteensopivuuskaaviossa SAS FE -liitäntöjen kanssa on testattu 6.5 VMWare ESXi -versiota. Tämä testattu ja tuettu ratkaisu sisälsi SAS-ohjaimen lsi-msgpt3 version 12 ja Storage Center OS (SCOS) -versiot 7.2.x ja 7.3.x. Päivitykset VMWare ESXi 6.5 U1-, 6.5 U2- ja 6.7-versioihin asentavat automaattisesti päivitetyt lsi-msgpt3-SAS-ohjaimet, kuten version 16.  Ilman manuaalisia toimia, joilla määritetään ohjaimen moduuliparametri, lsi-msgpt3 12 -versiota uudemmat versiot eivät toimi oikein (esimerkiksi isäntäkoneen uudelleenkäynnistys näyttää LUN-kapasiteetiksi 0 tavua, SAS FE (Front End) -taltioita ei voi enää käyttää ohjauskoneen vikasiedon yhteydessä, PSOD-ydinvedokset) päivitettyä ohjainta ja SCOS-versioita käyttävissä ESXi-versioissa. Tämä koskee erityisesti ESXi 6.5- ja 6.7-versioita. Jos uudempaa ohjainta käytetään ESXi 6.0 -versiossa (ei oletusohjain), tämä koskee myös sitä.

Suositukset: 

Jos käytät SAS-yhteyttä Storage Centerin ja ESXi-isäntien välillä lsi-msgpt3-ohjaimella (yleensä ESXi 6.5+), suosittelemme, että muutat moduulin parametria seuraavasti kaikkien lsi-msgpt3 SAS -ohjainversioiden kohdalla.  Se on pakollista, jos versio on yli 12.  Päivitetyt parhaat käytännöt ovat tiedostossa Dell EMC SC Series Best Practices with VMware vSphere 5.x–6.x (englanninkielinen) Huomioi, että muutos edellyttää isäntäkoneen uudelleenkäynnistystä.

SAS-ohjaimen moduulin parametrin määritysohjeet 

  1. Luo luettelo moduulin parametrin arvoista
esxcli system module parameters list -m lsi_msgpt3
 
SLN313031_en_US__1image(7172)
  1. Muuta moduulin parametria issue_scsi_cmd_to_bringup_drive
esxcli system module parameters set -p issue_scsi_cmd_to_bringup_drive=0 -m lsi_msgpt3
  1. Varmista, että moduulin parametrin arvo on muutettu list-komennolla vaiheessa 1.
SLN313031_en_US__2image(7173)
  1. Ota muutettu arvo käyttöön käynnistämällä ESXi-isäntäkone uudelleen. 
 

Article Properties


Affected Product

Dell Compellent SC4020, Dell Storage SCv2000, Dell Storage SCv2020, Dell Storage SCv2080, Dell Storage SC5020

Product

Storage

Last Published Date

21 Feb 2021

Version

6

Article Type

How To